[Unit]
Description=Starts/stops the submit job stage input daemon
After=syslog.target time-sync.target jobmon.service

[Service]
Type=forking
User=gridman
ExecStart=/opt/submit/jobStageInput.py
PIDFile=/var/run/submit/submit-jobstageinput.pid
PermissionsStartOnly=true
ExecStartPre=/usr/bin/install --owner root --group gridman --mode 0774 --directory /var/run/submit
Environment=PYTHONUNBUFFERED=1
StandardOutput=syslog
StandardError=syslog
SyslogIdentifier=SUBMITJOBSTAGEINPUT
#Environment=STAGEINPUTLOGLEVEL=INFO
#Environment=STAGEINPUTSYSLOGLOCAL=LOCAL3
#Environment=STAGEINPUTSYSLOGIDENTIFIER=SUBMITJOBSTAGEINPUT
#Environment=STAGEINPUTPIDFILE=/var/run/submit/submit-jobstageinput.pid
#Environment=DAEMONSDIRECTORY=/etc/submit
#Environment=DAEMONSCONFIGURATIONFILE=daemons.conf
#Environment=INFOSDIRECTORY=/etc/submit
#Environment=INFOSCONFIGURATIONFILE=infos.conf

[Install]
WantedBy=multi-user.target

